GTG

Very slow to startup ~12m

Bug #558600 reported by Fernando Ribeiro
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GTG
Fix Released
Medium
Unassigned
gtg (Ubuntu)
Fix Released
Medium
Unassigned

Bug Description

$ date && gtg -d
Thu Apr 8 12:53:15 BRT 2010
2010-04-08 13:06:51,725 - DEBUG - gtg:main:103 - Debug output enabled.

On startup the gtg take ~12m to startup. Same time without -d option.

Version: 0.2.3-1

$ lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch
Distributor ID: Ubuntu
Description: Ubuntu lucid (development branch)
Release: 10.04
Codename: lucid

Revision history for this message
Fernando Ribeiro (ipsec) wrote :

on strace it stop in:

open("/usr/share/locale-langpack/pt_BR/LC_MESSAGES/libgnome-2.0.mo", O_RDONLY) = 13
fstat(13, {st_mode=S_IFREG|0644, st_size=31592, ...}) = 0
mmap(NULL, 31592, PROT_READ, MAP_PRIVATE, 13, 0) = 0x7f303bf2b000
close(13) = 0
close(12) = 0
close(11) = 0
munmap(0x7f303bfde000, 4096) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7f303bfd49d0) = 5442
wait4(5442, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 5442
--- SIGCHLD (Child exited) @ 0 (0) ---
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7f303bfd49d0) = 5444
wait4(5444,

Revision history for this message
Fernando Ribeiro (ipsec) wrote :

After strace "freeze", continue with:

[{WIFEXITED(s) && WEXITSTATUS(s) == 1}], 0, NULL) = 5831
--- SIGCHLD (Child exited) @ 0 (0) ---
close(10) = 0
close(9) = 0
stat("/usr/share/gtg/GTG/core/plugins", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/share/gtg/GTG/core/plugins/__init__.py", {st_mode=S_IFREG|0644, st_size=2041, ...}) = 0
stat("/usr/share/gtg/GTG/core/plugins/__init__", 0x7fff3ba33890) = -1 ENOENT (No such file or directory)
open("/usr/share/gtg/GTG/core/plugins/__init__.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/gtg/GTG/core/plugins/__init__module.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/gtg/GTG/core/plugins/__init__.py", O_RDONLY) = 9
fstat(9, {st_mode=S_IFREG|0644, st_size=2041, ...}) = 0
open("/usr/share/gtg/GTG/core/plugins/__init__.pyc", O_RDONLY) = 10
fstat(10, {st_mode=S_IFREG|0644, st_size=1434, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f3dc956d000
read(10, "\321\362\r\n\254\311\205Kc\0\0\0\0\0\0\0\0\5\0\0\0@\0\0\0s3\0\0\0d\0"..., 4096) = 1434
fstat(10, {st_mode=S_IFREG|0644, st_size=1434, ...}) = 0
read(10, "", 4096) = 0
close(10) = 0
munmap(0x7f3dc956d000, 4096) = 0
stat("/usr/share/gtg/GTG/core/plugins", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/share/gtg/GTG/core/plugins", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
...
...
...
and start.

Revision history for this message
Lionel Dricot (ploum-deactivatedaccount) wrote :

Could you test with the trunk version ?

How many tasks do you have ?

Revision history for this message
Fernando Ribeiro (ipsec) wrote : Re: [Bug 558600] Re: Very slow to startup ~12m

Lionel,

I have 18 tasks.
Using trunk version the startup take 1 second.

$ date && python gtg -d
Sex Abr 9 08:41:34 BRT 2010
2010-04-09 08:41:35,299 - DEBUG - gtg:main:102 - Debug output enabled.

Best Regards,
--
Fernando Ribeiro

Revision history for this message
Lionel Dricot (ploum-deactivatedaccount) wrote :

According to the original requester, this has been fixed in trunk.

Changed in gtg:
assignee: nobody → Lionel Dricot (ploum)
importance: Undecided → Medium
milestone: none → 0.3
status: New → Fix Committed
Changed in gtg (Ubuntu):
importance: Undecided → Medium
status: New → Fix Committed
Changed in gtg:
milestone: 0.3 → 0.2.9
Izidor Matušov (izidor)
Changed in gtg:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtg - 0.2.9-1

---------------
gtg (0.2.9-1) unstable; urgency=low

  * New upstream release (Closes: #668096).
    - Implement a search text box (Closes: #650279).
    - Window title reflects active tasks (LP: #537096).
    - Fix misbehaviours of the indicator applet (LP: #548836, #676353).
    - Fix crash when selecting notification area plugin twice (LP: #550321).
    - Fix sorting of tasks by date (LP: #556159).
    - Fix excessive delays at startup (LP: #558600).
    - Fix crash with dates having unknown values (LP: #561449).
    - Fix crash issued when pressing delete key (LP: #583103).
    - Keep notification plugin enabled after logoff (LP: #617257).
    - Fix Hamster plugin to work with recent Hamster versions (LP: #620313).
    - No longer use non-unicode strings (LP: #680632).
    - New RTM sync mechanism (LP: #753327).
    - Fix crashes while handling XML storage file (LP: #916474, #917634).
  * debian/patches/*:
    - Drop all patches, they have been merged upstream.
  * debian/patches/shebang.patch:
    - Fix shebang line.
  * debian/patches/manpages.patch:
    - Fix some groff warnings in gtg_new_task man page
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump X-Python-Version to >= 2.6.
    - Add python-liblarch and python-liblarch-gtk to Depends field.
    - Add python-cheetah, python-geoclue, python-gnomekeyring,
      python-launchpadlib and python-suds to Suggests field.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Refresh copyright information.
    - Format now points to copyright-format site.
  * debian/rules:
    - Make gtcli_bash_completion script executable.
  * debian/watch:
    - Update watch file.

 -- Luca Falavigna <email address hidden> Tue, 10 Apr 2012 23:08:21 +0200

Changed in gtg (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers